﻿a, abbr, acronym, address, applet, article, aside, audio, b, big, blockquote, body, canvas, caption, center, cite, code, dd, del, details, dfn, div, dl, dt, em, embed, fieldset, figcaption, figure, footer, form, h1, h2, h3, h4, h5, h6, header, hgroup, html, i, iframe, img, ins, kbd, label, legend, li, mark, menu, nav, object, ol, output, p, pre, q, ruby, s, samp, section, small, span, strike, strong, sub, summary, sup, table, tbody, td, tfoot, th, thead, time, tr, tt, u, ul, var, video {
    margin: 0;
    padding: 0;
    border: 0;
}

body {
    background-color: #f6f6f6;
    margin: 0;
    padding: 0;
    direction: rtl;
    font-family: 'NotoSansHebrew','NunitoSans','Open Sans','Open Sans Global',Arial;
    font-size: 16px;
}

.dialogCheckbox {
    margin: 15px 0;
    display: flex;
    align-items: center;
    gap: 5px;
    justify-content: center;
}

.dialogContainerWithCheckbox .message2 {
    margin-bottom: 0 !important;
}

.dialogCheckbox input[type="checkbox"] {
    width: 26px; /* ריבוע גדול יותר */
    height: 26px;
    flex-shrink: 0; /* לא יימחץ ב-flex */
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
    background-color: #fff;
    border: 2px solid #444;
    border-radius: 4px;
    display: inline-block;
    position: relative;
    box-sizing: border-box; /* שלא יתפוצץ */
}

        .dialogCheckbox input[type="checkbox"]:checked::after {
            content: "✔";
            font-size: 18px;
            color: #000;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -55%);
        }

    .dialogCheckbox label {
        cursor: pointer;
        user-select: none;
        font-size: 15px;
        text-align: initial;
    }


.shake {
    animation: shake 0.3s;
}

@keyframes shake {
    0% {
        transform: translateX(0);
    }

    25% {
        transform: translateX(-4px);
    }

    50% {
        transform: translateX(4px);
    }

    75% {
        transform: translateX(-4px);
    }

    100% {
        transform: translateX(0);
    }
}

.number-ltr {
    direction: ltr !important;
}

.download-app-popup-icon-customer-app {
    background-color: #20262d;
}

.sk_bg {
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
    animation-name: sk_bg_animation;
    animation-timing-function: linear;
    background: #f6f7f8;
    background: linear-gradient(to right, #eee 8%, #ddd 18%, #eee 33%);
    background-size: 800px 104px !important;
    position: relative;
    border: unset;
    color: transparent;
    margin-bottom: 10px;
    background-repeat: unset !important;
}

@keyframes sk_bg_animation {
    0% {
        background-position: -468px 0
    }

    100% {
        background-position: 468px 0
    }
}

.popupSectionText {
    display: inline-block;
    text-align: right;
    font-weight: 300;
    position: absolute;
    top: 0px;
    margin: 0 10px;
    font-weight: bold;
    font-size: 15px;
    z-index: 10;
}

.popupTextBox, .popupTextBoxDate {
    font-size: 18px;
    border: 0;
    background-color: transparent;
    width: 100%;
    transition: all .2s ease-in-out;
    padding-top: 25px;
    padding-bottom: 5px;
    padding-right: 10px;
    padding-left: 10px;
    border-radius: 15px;
    outline: none;
}

.popupSection {
    margin-right: auto;
    margin-left: auto;
    height: auto;
    font-size: 20px;
    border-radius: 15px;
    display: flex;
    position: relative;
    border: solid 1px #d7d7d7;
    margin-bottom: 15px;
    min-height: 30px;
}

.popupSectionResize {
    padding-top: 20px;
    padding-bottom: 5px;
}

.popupSection select {
    margin-right: 5px;
    margin-left: 5px;
    margin-top: 3px;
    border: unset;
    font-size: 18px;
    width: 100%;
    transition: all .2s ease-in-out;
}

.popupSectionHide {
    display: none !important;
}

.popupSectionPartition {
    display: flex;
    gap: 12px;
}

    .popupSectionPartition .popupSection {
        width: 100%;
    }

.popupSection input:disabled {
    background-color: #f6f6f6;
}

.popup-back-overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,.4);
    overflow: auto;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    z-index: 30;
    display: flex;
}

.popup-back-overlay-hide {
    background-color: #ffffff00 !important;
}

#timeZoneData {
    display: none;
}

.key-saver {
    display: none;
}

input {
    font-family: 'NotoSansHebrew','NunitoSans','Open Sans','Open Sans Global',Arial;
    outline: none;
}

    input[type='text'] {
        font-family: 'NotoSansHebrew','NunitoSans','Open Sans','Open Sans Global',Arial;
    }

    input[type='number'] {
        font-family: 'NotoSansHebrew','NunitoSans','Open Sans','Open Sans Global',Arial;
    }

    input[type='password'] {
        font-family: 'NotoSansHebrew','NunitoSans','Open Sans','Open Sans Global',Arial;
    }

    input[type='select'] {
        font-family: 'NotoSansHebrew','NunitoSans','Open Sans','Open Sans Global',Arial;
    }

textarea {
    font-family: 'NotoSansHebrew','NunitoSans','Open Sans','Open Sans Global',Arial;
}

select {
    font-family: 'NotoSansHebrew','NunitoSans','Open Sans','Open Sans Global',Arial;
    outline: none;
}

.body-ltr .pignose-calendar .pignose-calendar-unit {
    float: left !important;
}

.download-document {
    text-decoration: underline;
    user-select: none;
    cursor: pointer;
}

.introjs-tooltip-header {
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 10px;
}

.introjs-tooltiptext {
    font-family: 'Open Sans','Open Sans Global',Arial !important;
    padding-top: 10px;
}

.introjs-button {
    font-family: 'Open Sans','Open Sans Global',Arial !important;
    font-weight: bold;
}

.introjs-tooltip-title {
    font-family: 'Open Sans','Open Sans Global',Arial !important;
    margin: 0 10px;
}

.introjs-prevbutton {
    display: none !important;
}

.introjs-progressbar {
    background-color: #2b65f0 !important;
}

.introjs-tooltip {
    border-radius: 10px !important;
    padding: 10px;
    box-shadow: 0px 0px 10px #00000066 !important;
}

.introjs-tooltipbuttons {
    border: none !important;
    padding-top: unset !important;
}

.introjs-button {
    border-radius: 10px !important;
    padding: 15px 27px !important;
    background-color: #2a2c32 !important;
    color: white !important;
    text-shadow: unset !important;
}

.introjs-center {
    position: fixed !important;
    right: 0 !important;
    left: 0 !important;
    margin-right: auto !important;
    margin-left: auto !important;
}

.introjs-progress {
    margin-top: 0;
}

.customTooltip2 {
    right: 10px !important;
}

.introjs-skipbutton {
    float: left !important;
    padding: 0 !important;
    margin: 0 !important;
}

.introjs-hide-button {
    padding: 0 !important;
}

    .introjs-hide-button .introjs-tooltipbuttons {
        display: none !important;
    }

    .introjs-hide-button .introjs-tooltiptext {
        padding-top: 10px !important;
    }

.custom-combobox {
    position: relative;
    display: inline-block;
    width: 100%;
}

.custom-combobox-toggle {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 1px;
    margin-left: -1px;
    padding: 0;
}

    .custom-combobox-toggle:hover {
        background-color: inherit !important;
    }

    .custom-combobox-toggle:active {
        background-color: inherit !important;
    }

.custom-combobox-input {
    margin: 5px;
    padding: 5px 10px 5px 25px;
    font-size: 20px;
    width: auto;
    border: solid 0;
    outline: none;
    border-radius: 4px;
    background-color: white;
    display: inline-block;
    transition: all 0.2s ease-in-out;
    box-sizing: border-box;
}

.body-overflow-hidden {
    overflow-y: hidden !important;
}

.download-app-popup {
    height: auto;
    width: calc(100% - 20px);
    background-color: white;
    display: flex;
    bottom: 0;
    position: fixed;
    z-index: 50;
    padding: 10px;
    box-shadow: 10px 10px 30px #00000026;
    border-top: solid 1px #00000026;
}

.body-overflow-hidden {
    overflow: hidden;
}

.overlay {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.3);
    transition: opacity 500ms;
    z-index: 30;
    visibility: hidden;
    opacity: 0;
}

#thankyou {
    text-align: center;
    font-size: 20px;
    background-color: white;
    padding: 20px;
    margin: 20px;
    border-radius: 20px;
    margin-top: 40px;
}

#thankyouTitle {
    font-weight: bold;
    margin-bottom: 10px;
}

.download-app-popup-close {
    padding: 22px 8px;
    font-size: 20px;
    color: #00000080;
    margin-left: 8px;
    cursor: pointer;
}

.download-app-popup-text {
    padding: 15px 15px;
    width: 100%;
    padding-left: 0;
    padding-bottom: 10px;
}

.download-app-popup-button {
    padding: 23px 15px;
    font-weight: bold;
    color: #2b65f0;
    cursor: pointer;
}

.download-app-popup-text-title {
    font-weight: bold;
}

.download-app-popup-text-sub-title {
    font-size: 13px;
}

.download-app-popup-icon {
    min-width: 60px;
    padding: 5px 0;
}

    .download-app-popup-icon img {
        width: 45px;
        height: 45px;
        border-radius: 15px;
        border: solid 1px #00000033;
        padding: 8px;
    }

.system-background-green {
    background-color: #01a066 !important;
}

.unseen-notification-dot {
    width: 7px;
    height: 7px;
    background-color: #215fef;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    right: 4px;
}

.system-background-red {
    background-color: #e02757 !important;
}

.system-background-orange {
    background-color: #ec810f !important;
}

.system-background-blue {
    background-color: #2b65f0 !important;
}

.system-color-green {
    color: #01a066 !important;
}

.system-color-red {
    color: #e02757 !important;
}

.system-color-orange {
    color: #ec810f !important;
}

.system-color-blue {
    color: #2b65f0 !important;
}

.pignose-calendar-button-schedule-pin-more {
    color: unset !important;
    background-color: #ffffff00 !important;
    opacity: 0.8;
    font-size: 12px;
}

.headerPopup {
    max-width: 420px;
    width: 400px;
    height: auto;
    background: #fff;
    border-radius: 0 0 2px 2px;
    box-shadow: 0 24px 38px 3px rgba(0,0,0,0.07), 0 9px 46px 8px rgba(0,0,0,0.06), 0 11px 15px -7px rgba(0,0,0,0.1);
    color: #1d2129;
    overflow: visible;
    position: absolute;
    z-index: 80;
    left: -20px;
    top: 60px;
    display: none;
    border-radius: 20px;
}

.headerPopupArrow {
    width: 55px;
    height: 0;
    bottom: 32px;
    position: relative;
    margin-right: auto;
    left: 0;
}

.headerPopupContent {
    border-radius: 20px;
    overflow: auto;
}

.headerPopupContentMaxHeight {
    max-height: 400px !important;
}

.loadMoreNotifications {
    margin: 19px 10px;
    text-align: center;
}

.notificationItemImage {
    padding: 10px;
}

.headerPopupLoader {
    width: auto;
    height: auto;
    padding-top: 10px;
    padding-bottom: 10px;
}

    .headerPopupLoader .popupLoader {
        border: 10px solid #f3f3f3;
        border-radius: 50%;
        border-top: 10px solid #0196e0;
        width: 40px;
        height: 40px;
        -webkit-animation: spin 2s linear infinite;
        animation: spin 2s linear infinite;
        margin-right: auto;
        margin-left: auto;
    }

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.page-loader {
    border: 12px solid #f3f3f3;
    border-top: 12px solid #2b65f0;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    margin-right: auto;
    margin-left: auto;
    right: 0;
    top: 40%;
    left: 0;
    position: fixed;
    z-index: 36;
    animation: page-page-loader-spin 2s linear infinite;
}

.global-loader-overlay {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgb(255 255 255 / 50%);
    transition: opacity 500ms;
    z-index: 60;
}

.global-loader-background {
    left: 50%;
    font-size: 50px;
    top: 50%;
    margin: -25px 0 0 -25px;
    color: #696b6f;
    z-index: 89;
    position: fixed;
}

.tableStyleEmpty {
    color: transparent !important;
}

.loading-element {
    width: auto;
    height: 100%;
    background: linear-gradient(to right, #eee 20%, #ddd 50%, #eee 80%);
    background-size: 500px 100px;
    animation-name: moving-gradient;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-fill-mode: forwards;
    pointer-events: none;
}

@keyframes moving-gradient {
    0% {
        background-position: -250px 0;
    }

    100% {
        background-position: 250px 0;
    }
}


.button-loader {
    /*    margin: 0 5px;*/
}

.global-loader {
    z-index: 5;
    background-color: #2b65f0;
    -webkit-animation: sk-rotateplane 1.2s infinite ease-in-out;
    animation: sk-rotateplane 1.2s infinite ease-in-out;
    border-radius: 3px;
    width: 50px;
    height: 50px;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 90;
    margin: auto;
}

@keyframes page-page-loader-spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.disable-button-click-permanent {
    pointer-events: none !important;
    opacity: 0.7 !important;
    user-select: none !important;
}

.disable-button-click {
    pointer-events: none !important;
    opacity: 0.7 !important;
    user-select: none !important;
}

.disable-button-click-without-transparency {
    pointer-events: none !important;
    user-select: none !important;
}

.noNotifications {
    height: auto;
    font-size: 16px;
    margin: 10px;
}

.notification-popup {
    height: auto;
     width: calc(100% - 20px); 
    padding: 10px;
    background: white;
    border-radius: 20px;
    box-shadow: 0 3px 15px rgb(0 0 0 / 25%);
    position: fixed;
    z-index: 60;
    text-align: center;
    margin-right: auto;
    margin-left: auto;
    right: 0;
    top: 10px;
    max-width: 500px;
    left: 0;
    cursor: pointer;
    animation-duration: 0.5s;
    box-sizing: border-box;
/*    margin: 0px 10px;*/
    border: solid 1px #dedede;
}

body.dark-mode .notification-popup {
    border-color: var(--dark-mode-cell-border-color);
}

body.dark-mode .notification-popup {
    background-color: var(--dark-mode-secondary-color);
}


.notification-popup-close {
    position: absolute;
    top: 0;
    font-size: 20px;
    right: 5px;
    padding: 3px 5px;
    opacity: 0.8;
}

.popup-video-overlay {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0,0,0,.5);
    transition: opacity 500ms;
    z-index: 25;
}

.popup-video iframe {
    width: 960px;
    height: 540px;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    z-index: 30;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.3);
    background-color: #eaeaea;
    z-index: 50;
}

.back-home {
    background-color: white;
    padding: 8px 15px;
    display: inline-block;
    border-radius: 50px;
}

.document-body {
    margin-top: 20px;
    padding: 10px;
    max-width: 800px;
    margin-right: auto;
    margin-left: auto;
}

#terms-page-iframe {
    width: 100%;
    margin-top: 20px;
    border-radius: 20px;
    height: calc(100vh - 110px);
    height: calc(100dvh - 110px);
}

.popup-video-close {
    padding: 10px;
    margin-right: 10px;
    font-size: 25px;
    background: #5a5a5a;
    top: 31px;
    border-radius: 10px;
    position: absolute;
    z-index: 500;
    color: #fff;
    border: solid;
    cursor: pointer;
    font-weight: bold;
    z-index: 31;
}

.notification-popup-title {
    font-weight: bold;
    padding-right: 15px;
    padding-left: 15px;
}

.notification-popup-text {
}

.loadMoreNotifications {
    height: auto;
    cursor: pointer;
    font-size: 16px;
    margin: 10px;
}

.notificationError {
    color: #00000080;
    margin-top: 5px;
}

.notificationItemTitle {
    font-weight: bold;
}

.app-popup {
    position: fixed;
    width: 100%;
    height: auto;
    background-color: #fff;
    border-top-left-radius: 16px;
    border-top-right-radius: 16px;
    z-index: 90;
    bottom: 0;
    pointer-events: all;
    max-width: 600px;
    margin-right: auto;
    margin-left: auto;
    right: 0;
    left: 0;
}

.app-popup-header {
    border-bottom: 1px solid;
    border-color: #edeff1;
    color: #1a1a1b;
    font-size: 18px;
    line-height: 26px;
    margin: 0 20px;
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: center;
}

.app-popup-actions-ltr {
    direction: ltr !important
}

.app-popup-actions {
    padding: 16px 20px;
    vertical-align: top;
}

.app-popup-action {
    margin-bottom: 16px;
    display: flex;
    height: auto;
    position: relative;
    align-items: center;
    box-sizing: border-box;
    pointer-events: all;
}

.app-popup-action-image {
    background-color: transparent;
    border: 1px solid #edeff1;
    border-radius: 8px;
    padding: 5px;
    width: 40px;
    height: 40px;
}

    .app-popup-action-image img {
        width: 40px;
        height: 40px;
    }

.app-popup-action-title {
    color: #1a1a1b;
    font-size: 16px;
    left: 0;
    line-height: 32px;
    position: relative;
    margin: 0 12px;
}

.app-popup-action-button-cancel {
    color: #787c7e !important;
    background-color: #f6f7f8 !important;
}

.app-popup-action-small img {
    width: 35px !important;
    height: 35px !important;
    margin: 3px !important;
}

.app-popup-action-button-ltr {
    right: 0 !important;
    left: auto !important;
}

.app-popup-action-button {
    color: #fff;
    text-decoration: none;
    background-color: #2b65f0;
    border-color: #2b65f0;
    border-radius: 10px;
    font-size: 14px;
    font-weight: 700;
    height: 40px;
    line-height: 38px;
    outline: none;
    padding: 0;
    cursor: pointer;
    position: absolute;
    left: 0;
    text-align: center;
    text-transform: capitalize;
    width: 94px;
    box-sizing: border-box;
}

#application-popup {
    position: fixed;
    width: auto;
    bottom: 0;
    height: unset;
    text-align: center;
    background: #fff;
    z-index: 50;
    border-radius: 20px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    margin-right: auto;
    margin-left: auto;
    right: 0;
    left: 0;
    box-shadow: 0 4px 15px rgba(0,0,0,.35);
    padding: 10px;
    padding-bottom: 20px;
    max-width: 500px;
}

.application-popup-text {
    font-weight: bold;
}

#application-popup-title {
    font-size: 30px;
    color: #989898;
}

    #application-popup-title img {
        width: 80px;
    }






.errorMessageDialogClose {
    position: absolute;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    background-color: hsl(0deg 0% 100% / 10%);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: background-color 0.2s ease, transform 0.15s ease;
    font-size: 18px;
    z-index: 30;
    opacity: 0.9;
}

    .errorMessageDialogClose i {
        margin: 0;
        padding: 0;
        line-height: 1;
        font-size: inherit;
        vertical-align: middle;
        display: flex;
        align-items: center;
        justify-content: center;
    }


#application-popup-button-download {
    padding: 10px;
    background: #2b65f0;
    color: #fff;
    border-radius: 5px;
    margin: 15px 0 0px 0;
    box-shadow: 0 4px 8px rgba(0,0,0,.2);
    cursor: pointer;
    font-weight: bold;
}

    #application-popup-button-download:hover {
        background: #1d84d2;
    }

#application-popup-cancel-button {
    margin-top: 15px;
    margin-bottom: 5px;
    cursor: pointer;
}

.disabled-calendar-date {
    color: rgba(0, 0, 0, 0.5) !important;
}

.disabled-calendar-date-disable-click {
    color: rgba(0, 0, 0, 0.5) !important;
    pointer-events: none;
}

.notificationButton {
    border: solid 1px;
    display: inline-block;
    padding: 4px 10px;
    border-radius: 5px;
    margin: 12px 0 8px 2px;
    cursor: pointer;
}

.notificationItemContent {
    margin: 12px 5px 10px 10px;
    width: 100%;
    height: 100%;
}

.notificationItemDate {
    margin-top: 5px;
    font-size: 13px;
    color: #00000099;
}

.notificationItem {
    border-bottom: solid 1px #0000001a;
    height: auto;
    background-color: white;
    width: 100%;
    font-size: 15px;
    display: flex;
    position: relative;
}

.notificationItemImage {
    width: auto;
    height: auto;
}

    .notificationItemImage .image {
        width: 50px;
        height: 50px;
        margin: 5px;
        border-radius: 10px;
        border: solid 1px #cacaca;
        background-size: cover;
        background-position: bottom;
    }

::-webkit-scrollbar {
    width: 7px;
    height: 7px;
}

::-webkit-scrollbar-track {
    border-radius: 20px;
    background: rgba(0, 0, 0, 0.15);
}

::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, 0.25);
    border-radius: 20px;
}

.input-error {
    background: #b70000;
    color: white;
    position: absolute;
    padding: 5px;
    border-radius: 5px;
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.15);
    z-index: 80;
    font-size: 17px;
    font-weight: normal !important;
}

.calendarLoader {
    background: rgb(255 255 255 / 60%);
    /*    background: rgba(0, 0, 0, 0.1);*/
    z-index: 20;
    height: 100%;
    top: 0;
    right: 0;
    width: 100%;
    position: absolute;
    border-radius: inherit;
}

.ltr {
    direction: ltr !important;
}

.ltr-left {
    direction: ltr !important;
    text-align: left !important;
}

.form-label-ltr label {
    right: 0 !important;
    left: 10px !important;
    text-align: left !important;
}

.form-label-ltr .custom-combobox-toggle {
    left: auto !important;
    right: 0 !important;
}

.calendarLoaderSpinnerContainer {
    position: absolute;
    /* padding: 30px; */
    margin-right: auto;
    margin-left: auto;
    width: 50px;
    /* height: 50px; */
    top: calc(50% - 40px);
    /* box-shadow: 0 20px 40px rgb(0 0 0 / 25%); */
    /*    background-color: #f00;*/
    right: 0;
    left: 0;
    font-size: 50px;
    margin: auto;
    color: #696b6f;
}

.calendarLoaderSpinner {
    width: 40px;
    height: 40px;
    z-index: 5;
    background-color: #2b65f0;
    -webkit-animation: sk-rotateplane 1.2s infinite ease-in-out;
    animation: sk-rotateplane 1.2s infinite ease-in-out;
    position: relative;
    z-index: 5;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    border-radius: 3px;
}

.loading-progressbar {
    position: fixed;
    transition: all .2s ease-in-out;
    background-color: #0000000d;
    width: 100%;
    height: 5px;
    opacity: 1;
    top: 0;
    right: 0;
    z-index: 50;
}

.loading-progressbar-value {
    animation: process 10s;
    background-color: #2b65f0;
    width: 90%;
    height: 100%;
}

@keyframes process {
    0% {
        width: 0;
    }

    50% {
        width: 80%;
    }

    100% {
        width: 90%;
    }
}

.popupLoaderContainer {
    height: auto;
    padding: 13px 0;
}

.popupLoader {
    border: 8px solid #ececec;
    border-top: 8px solid #2b65f0;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    margin-right: auto;
    margin-left: auto;
    animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@font-face {
    font-family: 'NotoSansHebrew';
    font-weight: 700;
    src: url('../../Shared/Styles/Fonts/NotoSansHebrew-Bold.ttf') format('truetype');
}

@font-face {
    font-family: 'NotoSansHebrew';
    font-weight: 100;
    src: url('../../Shared/Styles/Fonts/NotoSansHebrew-Light.ttf') format('truetype');
}

@font-face {
    font-family: 'NotoSansHebrew';
    font-weight: 400;
    src: url('../../Shared/Styles/Fonts/NotoSansHebrew-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Open Sans Global';
    font-weight: 700;
    src: url('../../Shared/Styles/Fonts/OpenSans-Bold.ttf') format('truetype');
}

@font-face {
    font-family: 'Open Sans Global';
    font-weight: 400;
    src: url('../../Shared/Styles/Fonts/OpenSans-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Open Sans Global';
    font-weight: 100;
    src: url('../../Shared/Styles/Fonts/OpenSans-Light.ttf') format('truetype');
}

@font-face {
    font-family: 'Open Sans';
    font-weight: 700;
    src: url('../../Shared/Styles/Fonts/OpenSansHebrew-Bold.ttf') format('truetype');
}

@font-face {
    font-family: 'Open Sans';
    font-weight: 400;
    src: url('../../Shared/Styles/Fonts/OpenSansHebrew-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Open Sans';
    font-weight: 100;
    src: url('../../Shared/Styles/Fonts/OpenSansHebrew-Light.ttf') format('truetype');
}

@font-face {
    font-family: 'NunitoSans';
    font-weight: 400;
    src: url('../../Shared/Styles/Fonts/NunitoSans-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'NunitoSans';
    font-weight: 100;
    src: url('../../Shared/Styles/Fonts/NunitoSans-Light.ttf') format('truetype');
}

@font-face {
    font-family: 'NunitoSans';
    font-weight: 700;
    src: url('../../Shared/Styles/Fonts/NunitoSans-Bold.ttf') format('truetype');
}




.infoPopup {
    box-shadow: 0 1px 3px 0 rgba(60,64,67,0.302), 0 4px 8px 3px rgba(60,64,67,0.149);
    -webkit-font-smoothing: antialiased;
    font-size: 18px;
    letter-spacing: .2px;
    -webkit-align-items: center;
    align-items: center;
    background-color: #202124;
    border: none;
    border-radius: 15px;
    bottom: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    color: #fff;
    display: -webkit-box;
    display: -moz-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
    font-weight: 400;
    margin: 24px;
    max-width: 640px;
    min-height: 52px;
    padding: 8px 24px;
    position: fixed;
    left: 0;
    text-align: right;
    top: auto;
    white-space: normal;
    z-index: 99;
}

.errorButtonsContainer {
    display: flex;
    justify-content: center;
    gap: 5px;
}

.show-message {
    font-size: 28px;
    display: block !important;
}

.errorMessageDialog {
    width: 400px;
    max-width: 90%;
    background-color: #323336;
    color: #e8eaed;
    border-radius: 30px;
    box-shadow: 0 24px 38px 3px rgba(0, 0, 0, 0.14), 0 9px 46px 8px rgba(0, 0, 0, 0.12), 0 11px 15px -7px rgba(0, 0, 0, 0.2);
    text-align: center;
    padding: 15px;
    font-size: 30px;
    word-wrap: break-word;
    animation-duration: 0.5s;
    margin: 20px;
}

    .errorMessageDialog .message {
        display: none;
        margin-bottom: 10px;
    }

    .errorMessageDialog .message2 {
        font-size: 20px;
        display: block;
        margin: 10px;
        margin-top: 5px;
        margin-bottom: 25px;
    }

.errorButtonsContainer .errorbutton {
    width: 100% !important;
}

.errorButtonsContainer .cancel {
    background-color: #5a5b5d !important;
    border-color: #6b6b6b !important;
}

.errorbutton-ok {
    background-color: #2b65f0 !important;
}

.errorMessageDialog .errorbutton {
    font-size: 20px;
    padding: 10px;
    border-radius: 30px;
    font-weight: bold;
    width: auto;
    text-align: center;
    cursor: pointer;
    color: white;
    background-color: #5a5b5d;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    .errorMessageDialog .errorbutton:hover {
        filter: brightness(0.95);
    }

.sideDialog {
    position: fixed;
    padding: 15px 15px 10px 15px;
    width: 200px;
    height: auto;
    bottom: 0;
    z-index: 20;
    background-color: white;
    margin: 10px 30px 30px;
    box-shadow: 0 6px 100px 0 rgba(0,0,0,.35) !important;
    border-radius: 5px;
}

.sideDialogButton {
    padding: 3px 11px;
    background-color: #efefef;
    border-radius: 20px;
    margin: 8px 0;
    cursor: pointer;
}

    .sideDialogButton:hover {
        background-color: #e4e4e4;
    }

.errorMessageOverlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.4);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 80;
}

.loginDialogOverlay {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0,0,0,.4);
    transition: opacity 500ms;
    z-index: 25;
}

.loader {
    background-color: white;
    margin-top: 40vh;
    width: 50px;
    height: 40px;
    position: fixed;
    z-index: 25;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.2);
}

.spinner {
    width: 40px;
    height: 40px;
    background-color: #0196e0;
    -webkit-animation: sk-rotateplane 1.2s infinite ease-in-out;
    animation: sk-rotateplane 1.2s infinite ease-in-out;
    position: fixed;
    z-index: 70;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    border-radius: 3px;
}

.loaderOverlay {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.2);
    transition: opacity 500ms;
    z-index: 20;
}

@-webkit-keyframes sk-rotateplane {
    0% {
        -webkit-transform: perspective(120px);
    }

    50% {
        -webkit-transform: perspective(120px) rotateY(180deg);
    }

    100% {
        -webkit-transform: perspective(120px) rotateY(180deg) rotateX(180deg);
    }
}

@keyframes sk-rotateplane {
    0% {
        transform: perspective(120px) rotateX(0deg) rotateY(0deg);
        -webkit-transform: perspective(120px) rotateX(0deg) rotateY(0deg);
    }

    50% {
        transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
        -webkit-transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
    }

    100% {
        transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
        -webkit-transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
    }
}

a, a:link, a:visited, a:hover, a:active {
    text-decoration: none;
}

input[type='text']:focus {
    outline: none;
}

.NextPrevCss {
    text-align: center;
}

.post {
    margin-right: auto;
    width: 100%;
    max-width: 600px;
    height: auto;
    background-color: white;
    border-radius: 30px;
    margin-bottom: 50px;
    box-shadow: 0 5px 10px rgba(0,0,0,.1);
    overflow: hidden;
}

    .post header {
        padding-top: 10px;
        padding-bottom: 10px;
        text-align: right;
        padding-right: 20px;
        padding-left: 20px;
        font-size: 20px;
        width: 100%;
        background-color: white;
        position: relative;
    }

    .post h1 {
        font-size: 22px;
        padding: 0;
        margin: 0;
        margin-right: 120px;
        font-weight: bold;
        max-width: 65vw;
    }

    .post h2 {
        font-size: 20px;
        padding: 0;
        margin: 0;
        margin-right: 120px;
        color: #363636;
        font-weight: normal;
        max-width: 65vw;
    }

    .post header .postLogo {
        width: 80px;
        height: 80px;
        position: absolute;
        border-radius: 50%;
        z-index: 1;
        background-size: cover;
        background-position: bottom;
        background-color: #e2e2e2;
        border-radius: 20px;
        border: solid 2px white;
    }

    .post figure {
        width: 100%;
        height: 100%;
        padding: 0px;
        margin: 0px;
        position: relative;
        text-align: center;
    }

        .post figure img {
            width: 100%;
            height: auto;
            background-color: #fafafa;
            min-height: 200px;
            background-color: #e2e2e2;
        }

    .post p {
        text-align: right;
        padding: 10px;
        padding-right: 20px;
        padding-left: 20px;
        font-size: 17px;
    }

    .post .button {
        width: 90%;
        text-align: center;
        color: #2b65f0;
        margin-right: auto;
        margin-left: auto;
        font-size: 28px;
        padding: 10px;
        margin-bottom: 20px;
        border-radius: 20px;
        margin-top: 10px;
        cursor: pointer;
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        background-color: #2b65f01a !important;
    }

.InstagramUsername {
    position: absolute;
    bottom: 8px;
    left: 16px;
    margin-bottom: 10px;
    padding: 4px 8px;
    background-color: white;
    cursor: pointer;
    border-radius: 20px;
    opacity: 0.7;
    color: black;
}

    .InstagramUsername:hover {
        opacity: 0.9;
    }


.toast-notification-conformation {
    background-color: #0e995f !important;
}

.toast-notification-error {
    background-color: #d03913 !important;
}

.toast-notification {
    padding: 16px 20px;
    background-color: #333237;
    position: fixed;
    color: white;
    display: flex;
    width: fit-content;
    right: 0;
    left: 0;
    top: 20px;
    margin-right: auto;
    margin-left: auto;
    z-index: 999;
    border-radius: 8px;
    max-width: 400px;
    box-sizing: border-box;
    /* align-items: center; */
    font-size: 16px;
    animation-duration: 0.5s;
}

.toast-notification-icon {
    margin-left: 8px;
    margin-right: 0;
}

.body-ltr .toast-notification-icon {
    margin-left: 0;
    margin-right: 8px;
}

/*Desktop*/
@media (min-width:1370px) {
    .notificationItem:hover {
        filter: brightness(0.96);
    }
}

/*Tablet*/
@media (max-width:1100px) and (min-width:600px) {
    .post {
        margin-right: auto;
        margin-left: auto;
        margin-bottom: 40px;
    }

    .popup-video iframe {
        width: 640px;
        height: 360px;
    }
}

/*Smart Phone*/
@media only screen and (max-width: 600px) {
    .toast-notification {
        max-width: calc(100% - 30px);
    }

    .popup-video-close {
        font-size: 20px;
    }

    .headerPopup {
        position: fixed;
        max-width: none;
        width: 100vw;
        top: 55px;
        right: 0;
    }

    .popup-video iframe {
        width: 288px;
        height: 162px;
    }

    .post {
        border-radius: 0px;
        border-right: 0px;
        border-left: 0px;
        margin-right: auto;
        margin-left: auto;
        margin-bottom: 30px;
    }

        .post header .postLogo {
            height: 70px;
            width: 70px;
            margin-right: -10px;
        }

        .post h1 {
            margin-right: 75px;
            font-size: 19px;
        }

        .post h2 {
            margin-right: 75px;
            font-size: 17px;
        }

        .post p {
            text-align: right;
            font-size: 14px;
            padding: 5px 20px;
        }

        .post .button {
            width: calc(100% - 50px);
            font-size: 20px;
            border-radius: 10px;
        }

    .InstagramUsername {
        font-size: 12px;
    }
}
